using System;
class Program
{
        static void Main()
        {
            Console.Write("");
            string ulaz = Console.ReadLine();
            string[] haromszam = ulaz.Split(' ');
            string[] lehetosegek = new string[6];
            lehetosegek[0] = haromszam[0] + haromszam[1] + haromszam[2];
            lehetosegek[1] = haromszam[0] + haromszam[2] + haromszam[1];
            lehetosegek[2] = haromszam[1] + haromszam[0] + haromszam[2];
            lehetosegek[3] = haromszam[1] + haromszam[2] + haromszam[0];
            lehetosegek[4] = haromszam[2] + haromszam[0] + haromszam[1];
            lehetosegek[5] = haromszam[2] + haromszam[1] + haromszam[0];
            long[] szamok = new long[6];

            for (int i = 0; i < 6; i++)
                szamok[i] = Convert.ToInt64(lehetosegek[i]);

            long max = szamok[0];
            for (int i = 0; i < 6; i++)
                if (szamok[i] > max)
                    max = szamok[i];

            Console.Write(max.ToString());

                Console.ReadKey();
        }
}